Skip to main content
POST
/
api
/
v1
/
ai
/
generate-text
Generate text with AI
curl --request POST \
  --url https://api.kynva.ai/api/v1/ai/generate-text \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "context": {
    "brand": "<string>",
    "product": "<string>",
    "audience": "<string>",
    "industry": "<string>",
    "benefit": "<string>",
    "topic": "<string>"
  },
  "tone": "professional",
  "maxLength": 505,
  "keywords": [
    "<string>"
  ],
  "variations": 3,
  "instructions": "<string>",
  "format": "<string>"
}
'
import requests

url = "https://api.kynva.ai/api/v1/ai/generate-text"

payload = {
"context": {
"brand": "<string>",
"product": "<string>",
"audience": "<string>",
"industry": "<string>",
"benefit": "<string>",
"topic": "<string>"
},
"tone": "professional",
"maxLength": 505,
"keywords": ["<string>"],
"variations": 3,
"instructions": "<string>",
"format": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context: {
brand: '<string>',
product: '<string>',
audience: '<string>',
industry: '<string>',
benefit: '<string>',
topic: '<string>'
},
tone: 'professional',
maxLength: 505,
keywords: ['<string>'],
variations: 3,
instructions: '<string>',
format: '<string>'
})
};

fetch('https://api.kynva.ai/api/v1/ai/generate-text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "texts": [
      {
        "text": "<string>",
        "length": 123,
        "confidence": 123,
        "tags": [
          "<string>"
        ]
      }
    ],
    "reasoning": "<string>",
    "suggestions": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
contentType
enum<string>
required

Type of text content to generate

Available options:
headline,
subheadline,
body,
cta,
tagline,
caption,
bullet,
quote,
stat
context
object
required

Context for text generation

tone
enum<string>
default:professional
Available options:
professional,
casual,
playful,
urgent,
luxurious,
inspirational,
humorous,
authoritative,
empathetic
maxLength
number

Maximum characters per variation

Required range: 10 <= x <= 1000
keywords
string[]

Keywords to include

variations
number
default:3
Required range: 1 <= x <= 5
instructions
string

Additional instructions

format
string

Format context (e.g., "Instagram story")

Response

200 - application/json

Text generated successfully

Text generated successfully

success
boolean
data
object